%define section   free
%define werkz_version   1.0

Name:           werkz
Version:        %{werkz_version}
Release:        0.b10.2jpp
Epoch:          0
Summary:        Goal-oriented process framework

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://werkz.codehaus.org/
Source0:        werkz-maven-1.0.tar.gz
# cvs -d :pserver:anonymous@cvs.werkz.codehaus.org:/home/projects/werkz/scm login
# cvs -z3 -d :pserver:anonymous@cvs.werkz.codehaus.org:/home/projects/werkz/scm export -r WERKZ_MAVEN_1_0-BRANCH werkz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  junit
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-jelly
BuildRequires:  jakarta-commons-jelly-tags-ant
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-jelly
Requires:  jakarta-commons-jelly-tags-ant

%description
Werkz is a light-weight goal-oriented process framework. Certain tasks, 
such as organizing the build-chain of a complex development project, 
can be easily modelled as a graph of goals. 
werkz is a framework that allows modelling of a complex graph of goals 
and an engine that efficiently and correctly attempts to satisfy requests. 
As an abstract framework, werkz imposes no particular domain semantics 
or execution model. It simply manages the dependencies between goals and 
invokes application-specific code in the correct order. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -n %{name}-maven-%{version}

%build
export CLASSPATH=$(build-classpath \
jakarta-commons-logging \
jakarta-commons-jelly \
jakarta-commons-jelly-tags-ant \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{name}-%{werkz_version}-beta-4.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Fri Jul 09 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b10.2jpp
- WERKZ_MAVEN_1_0-BRANCH

* Fri Feb 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b10.1jpp
- Go to a defined beta release

* Tue Jan 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.20040126dev.1jpp
- First JPackage release
